From 2b6fbe9497fe3703fa8859bd59e52afbcf007eda Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Felix=20Scha=CC=88fer?= <felix@fachschaften.org>
Date: Mon, 10 Jun 2013 17:02:15 +0200
Subject: Rails3-style remote link_to

--HG--
extra : source : 7d369e8a23d07ec079e518e1f85f1fb3d94d09b9
---
 app/helpers/application_helper.rb             |    6 ------
 app/helpers/journals_helper.rb                |    5 +++--
 app/helpers/watchers_helper.rb                |    7 ++++---
 app/views/boards/show.html.erb                |    4 ++--
 app/views/calendars/show.html.erb             |    8 ++++----
 app/views/gantts/show.html.erb                |    8 ++++----
 app/views/groups/_memberships.html.erb        |    3 ++-
 app/views/groups/_users.html.erb              |    3 ++-
 app/views/issues/_edit.erb                    |    4 ++--
 app/views/issues/_relations.erb               |    4 ++--
 app/views/issues/index.html.erb               |    8 ++++----
 app/views/issues/new.html.erb                 |    4 ++--
 app/views/issues/show.html.erb                |    2 +-
 app/views/journals/_notes_form.erb            |    4 ++--
 app/views/messages/edit.html.erb              |    4 ++--
 app/views/messages/new.html.erb               |    4 ++--
 app/views/messages/show.html.erb              |    8 ++++----
 app/views/my/_block.erb                       |    5 +++--
 app/views/my/page_layout.html.erb             |    5 +++--
 app/views/news/edit.html.erb                  |    4 ++--
 app/views/news/index.html.erb                 |    4 ++--
 app/views/news/new.html.erb                   |    4 ++--
 app/views/news/show.html.erb                  |    4 ++--
 app/views/projects/settings/_members.html.erb |    5 +++--
 app/views/users/_memberships.erb              |    3 ++-
 app/views/wiki/edit.html.erb                  |    4 ++--
 26 files changed, 63 insertions(+), 61 deletions(-)

diff --git a/app/helpers/application_helper.rb b/app/helpers/application_helper.rb
index 8ffdb0c..9c40b28 100644
--- a/app/helpers/application_helper.rb
+++ b/app/helpers/application_helper.rb
@@ -37,12 +37,6 @@ module ApplicationHelper
     link_to(name, options, html_options, *parameters_for_method_reference) if authorize_for(options[:controller] || params[:controller], options[:action])
   end
 
-  # Display a link to remote if user is authorized
-  def link_to_remote_if_authorized(name, options = {}, html_options = nil)
-    url = options[:url] || {}
-    link_to_remote(name, options, html_options) if authorize_for(url[:controller] || params[:controller], url[:action])
-  end
-
   # Displays a link to user's account page if active
   def link_to_user(user, options={})
     if user.is_a?(User)
diff --git a/app/helpers/journals_helper.rb b/app/helpers/journals_helper.rb
index a57049b..15a1ebc 100644
--- a/app/helpers/journals_helper.rb
+++ b/app/helpers/journals_helper.rb
@@ -81,8 +81,9 @@ module JournalsHelper
     unless journal.notes.blank?
       links = [].tap do |l|
         if reply_links
-          l << link_to_remote(image_tag('comment.png'), :title => l(:button_quote),
-            :url => {:controller => controller, :action => action, :id => model, :journal_id => journal})
+          l << link_to(image_tag('comment.png'), {:title => l(:button_quote),
+            :url => {:controller => controller, :action => action, :id => model, :journal_id => journal}},
+            :remote => true)
         end
         if editable
           l << link_to_in_place_notes_editor(image_tag('edit.png'), "journal-#{journal.id}-notes",
diff --git a/app/helpers/watchers_helper.rb b/app/helpers/watchers_helper.rb
index 25e9fe1..9a6d8ba 100644
--- a/app/helpers/watchers_helper.rb
+++ b/app/helpers/watchers_helper.rb
@@ -45,10 +45,10 @@ module WatchersHelper
 
     url_options = {:url => url}
 
-    html_options = options.merge(:href => url_for(url))
+    html_options = options.merge({:href => url_for(url), :remote => true})
     html_options[:class] = html_options[:class].to_s + (watched ? ' icon icon-fav' : ' icon icon-fav-off')
 
-    link_to_remote((watched ? l(:button_unwatch) : l(:button_watch)), url_options, html_options)
+    link_to((watched ? l(:button_unwatch) : l(:button_watch)), url_options, html_options)
   end
 
   # Returns a comma separated list of users watching the given object
@@ -62,8 +62,9 @@ module WatchersHelper
                :object_type => object.class.to_s.underscore,
                :object_id => object.id,
                :user_id => user}
-        s += ' ' + link_to_remote(image_tag('delete.png'),
+        s += ' ' + link_to(image_tag('delete.png'),
                                   {:url => url},
+                                  :remote => true,
                                   :href => url_for(url),
                                   :style => "vertical-align: middle",
                                   :class => "delete")
diff --git a/app/views/boards/show.html.erb b/app/views/boards/show.html.erb
index 07f8eeb..a116f18 100644
--- a/app/views/boards/show.html.erb
+++ b/app/views/boards/show.html.erb
@@ -14,13 +14,13 @@
 <%= form_for @message, :url => {:controller => 'messages', :action => 'new', :board_id => @board}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'messages/form', :locals => {:f => f} %>
   <p><%= submit_tag l(:button_create) %>
-  <%= link_to_remote l(:label_preview),
+  <%= link_to l(:label_preview),
                      { :url => { :controller => 'messages', :action => 'preview', :board_id => @board },
                        :method => 'post',
                        :update => 'preview',
                        :with => "Form.serialize('message-form')",
                        :complete => "Element.scrollTo('preview')"
-                     }, :accesskey => accesskey(:preview) %> |
+                     }, :remote => true, :accesskey => accesskey(:preview) %> |
   <%= link_to l(:button_cancel), "#", :onclick => 'Element.hide("add-message")' %></p>
 <% end %>
 <div id="preview" class="wiki"></div>
diff --git a/app/views/calendars/show.html.erb b/app/views/calendars/show.html.erb
index 8de3944..29d4362 100644
--- a/app/views/calendars/show.html.erb
+++ b/app/views/calendars/show.html.erb
@@ -19,17 +19,17 @@
 <%= label_tag('year', l(:label_year)) %>
 <%= select_year(@year, :prefix => "year", :discard_type => true) %>
 
-<%= link_to_remote l(:button_apply),
+<%= link_to l(:button_apply),
                    { :url => { :set_filter => 1 },
                      :update => "content",
                      :with => "Form.serialize('query_form')"
-                   }, :class => 'icon icon-checked' %>
+                   }, :remote => true, :class => 'icon icon-checked' %>
 
-<%= link_to_remote l(:button_clear),
+<%= link_to l(:button_clear),
                    { :url => { :project_id => @project, :set_filter => 1 },
                      :method => :put,
                      :update => "content",
-                   }, :class => 'icon icon-reload' %>
+                   }, :remote => true, :class => 'icon icon-reload' %>
 </p>
 <% end %>
 
diff --git a/app/views/gantts/show.html.erb b/app/views/gantts/show.html.erb
index 9686343..aae8557 100644
--- a/app/views/gantts/show.html.erb
+++ b/app/views/gantts/show.html.erb
@@ -22,17 +22,17 @@
 <%= select_year(@gantt.year_from, :prefix => "year", :discard_type => true) %>
 <%= hidden_field_tag 'zoom', @gantt.zoom %>
 
-<%= link_to_remote l(:button_apply),
+<%= link_to l(:button_apply),
                    { :url => { :set_filter => 1 },
                      :update => "content",
                      :with => "Form.serialize('query_form')"
-                   }, :class => 'icon icon-checked' %>
+                   }, :remote => true, :class => 'icon icon-checked' %>
 
-<%= link_to_remote l(:button_clear),
+<%= link_to l(:button_clear),
                    { :url => { :project_id => @project, :set_filter => 1 },
                    	 :method => :put,
                      :update => "content",
-                   }, :class => 'icon icon-reload' %>
+                   }, :remote => true, :class => 'icon icon-reload' %>
 </p>
 <% end %>
 
diff --git a/app/views/groups/_memberships.html.erb b/app/views/groups/_memberships.html.erb
index a9a3b63..4c67ac6 100644
--- a/app/views/groups/_memberships.html.erb
+++ b/app/views/groups/_memberships.html.erb
@@ -27,8 +27,9 @@
   </td>
   <td class="buttons">
       <%= link_to_function l(:button_edit), "$('member-#{membership.id}-roles').hide(); $('member-#{membership.id}-roles-form').show(); return false;", :class => 'icon icon-edit' %>
-      <%= link_to_remote l(:button_delete), { :url => { :controller => 'groups', :action => 'destroy_membership', :id => @group, :membership_id => membership },
+      <%= link_to l(:button_delete), { :url => { :controller => 'groups', :action => 'destroy_membership', :id => @group, :membership_id => membership },
       																				:method => :post },
+                                            :remote => true,
       																		  :class => 'icon icon-del' %>
   </td>
 	</tr>
diff --git a/app/views/groups/_users.html.erb b/app/views/groups/_users.html.erb
index 501284b..0b7eda3 100644
--- a/app/views/groups/_users.html.erb
+++ b/app/views/groups/_users.html.erb
@@ -10,8 +10,9 @@
 			<tr id="user-<%= user.id %>" class="<%= cycle 'odd', 'even' %>">
 				<td class="user"><%= link_to_user user %></td>
 			  <td class="buttons">
-			      <%= link_to_remote l(:button_delete), { :url => { :controller => 'groups', :action => 'remove_user', :id => @group, :user_id => user },
+			      <%= link_to l(:button_delete), { :url => { :controller => 'groups', :action => 'remove_user', :id => @group, :user_id => user },
 			      																				:method => :post },
+                                                  :remote => true,
 			      																		  :class => 'icon icon-del' %>
 			  </td>
 			</tr>
diff --git a/app/views/issues/_edit.erb b/app/views/issues/_edit.erb
index 10e50fc..ea53d88 100644
--- a/app/views/issues/_edit.erb
+++ b/app/views/issues/_edit.erb
@@ -49,13 +49,13 @@
 
     <%= f.hidden_field :lock_version %>
     <%= submit_tag l(:button_submit) %>
-    <%= link_to_remote l(:label_preview),
+    <%= link_to l(:label_preview),
                        { :url => preview_issue_path(:project_id => @project, :id => @issue),
                          :method => 'post',
                          :update => 'preview',
                          :with => 'Form.serialize("issue-form")',
                          :complete => "Element.scrollTo('preview')"
-                       }, :accesskey => accesskey(:preview) %>
+                       }, :remote => true, :accesskey => accesskey(:preview) %>
 <% end %>
 
 <div id="preview" class="wiki"></div>
diff --git a/app/views/issues/_relations.erb b/app/views/issues/_relations.erb
index 82cd2be..b682c04 100644
--- a/app/views/issues/_relations.erb
+++ b/app/views/issues/_relations.erb
@@ -16,9 +16,9 @@
 <td><%= h(relation.other_issue(@issue).status.name) %></td>
 <td><%= format_date(relation.other_issue(@issue).start_date) %></td>
 <td><%= format_date(relation.other_issue(@issue).due_date) %></td>
-<td><%= link_to_remote(image_tag('delete.png'), { :url => {:controller => 'issue_relations', :action => 'destroy', :issue_id => @issue, :id => relation},
+<td><%= link_to(image_tag('delete.png'), { :url => {:controller => 'issue_relations', :action => 'destroy', :issue_id => @issue, :id => relation},
                                                   :method => :post
-                                                }, :title => l(:label_relation_delete)) if authorize_for('issue_relations', 'destroy') %></td>
+                                                }, :remote => true, :title => l(:label_relation_delete)) if authorize_for('issue_relations', 'destroy') %></td>
 </tr>
 <% end %>
 </table>
diff --git a/app/views/issues/index.html.erb b/app/views/issues/index.html.erb
index 284cf2a..5d1cf83 100644
--- a/app/views/issues/index.html.erb
+++ b/app/views/issues/index.html.erb
@@ -55,19 +55,19 @@
 		</div>
     <p class="buttons hide-when-print">
 
-    <%= link_to_remote l(:button_apply),
+    <%= link_to l(:button_apply),
                        { :url => { :set_filter => 1 },
                          :before => 'selectAllOptions("selected_columns");',
                          :update => "content",
                          :complete => "apply_filters_observer()",
                          :with => "Form.serialize('query_form')"
-                       }, :class => 'icon icon-checked' %>
+                       }, :remote => true, :class => 'icon icon-checked' %>
 
-    <%= link_to_remote l(:button_clear),
+    <%= link_to l(:button_clear),
                        { :url => { :set_filter => 1, :project_id => @project },
                          :method => :get,
                          :update => "content",
-                       }, :class => 'icon icon-reload'  %>
+                       }, :remote => true, :class => 'icon icon-reload'  %>
 
     <% if @query.new_record? && User.current.allowed_to?(:save_queries, @project, :global => true) %>
     <%= link_to l(:button_save), {}, :onclick => "selectAllOptions('selected_columns'); $('query_form').submit(); return false;", :class => 'icon icon-save' %>
diff --git a/app/views/issues/new.html.erb b/app/views/issues/new.html.erb
index f78143a..7e0293f 100644
--- a/app/views/issues/new.html.erb
+++ b/app/views/issues/new.html.erb
@@ -9,13 +9,13 @@
     </div>
     <%= submit_tag l(:button_create) %>
     <%= submit_tag l(:button_create_and_continue), :name => 'continue' %>
-    <%= link_to_remote l(:label_preview),
+    <%= link_to l(:label_preview),
                        { :url => preview_issue_path(:project_id => @project),
                          :method => 'post',
                          :update => 'preview',
                          :with => "Form.serialize('issue-form')",
                          :complete => "Element.scrollTo('preview')"
-                       }, :accesskey => accesskey(:preview) %>
+                       }, :remote => true, :accesskey => accesskey(:preview) %>
 
 		<%= javascript_tag "Form.Element.focus('issue_subject');" %>
 <% end %>
diff --git a/app/views/issues/show.html.erb b/app/views/issues/show.html.erb
index adec852..b3f9220 100644
--- a/app/views/issues/show.html.erb
+++ b/app/views/issues/show.html.erb
@@ -61,7 +61,7 @@
 
   <div class="description">
 	  <div class="contextual">
-	    <%= link_to_remote_if_authorized(l(:button_quote), { :url => {:controller => 'journals', :action => 'new', :id => @issue} }, :class => 'icon icon-comment') %>
+	    <%= link_to_if_authorized(l(:button_quote), { :url => {:controller => 'journals', :action => 'new', :id => @issue} }, :remote => true, :class => 'icon icon-comment') %>
 	  </div>
 
 	  <p><strong><%=l(:field_description)%></strong></p>
diff --git a/app/views/journals/_notes_form.erb b/app/views/journals/_notes_form.erb
index 1960451..a0a2fa6 100644
--- a/app/views/journals/_notes_form.erb
+++ b/app/views/journals/_notes_form.erb
@@ -5,13 +5,13 @@
                                               :rows => (@journal.notes.blank? ? 10 : [[10, @journal.notes.length / 50].max, 100].min) %>
     <%= call_hook(:view_journals_notes_form_after_notes, { :journal => @journal}) %>
     <p><%= submit_tag l(:button_save) %>
-    <%= link_to_remote l(:label_preview),
+    <%= link_to l(:label_preview),
                        { :url => preview_issue_path(:project_id => @project, :id => @journal.issue),
                          :method => 'post',
                          :update => "journal_#{@journal.id}_preview",
                          :with => "Form.serialize('journal-#{@journal.id}-form')",
                          :complete => "Element.scrollTo('journal_#{@journal.id}_preview')"
-                       }, :accesskey => accesskey(:preview) %>
+                       }, :remote => true, :accesskey => accesskey(:preview) %>
     |
     <%= link_to l(:button_cancel), '#', :onclick => "Element.remove('journal-#{@journal.id}-form'); " +
                                                     "Element.show('journal-#{@journal.id}-notes'); return false;" %></p>
diff --git a/app/views/messages/edit.html.erb b/app/views/messages/edit.html.erb
index c4d246d..437a55a 100644
--- a/app/views/messages/edit.html.erb
+++ b/app/views/messages/edit.html.erb
@@ -3,13 +3,13 @@
 <%= form_for @message, :url => {:action => 'edit'}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f, :replying => !@message.parent.nil?} %>
   <%= submit_tag l(:button_save) %>
-  <%= link_to_remote l(:label_preview),
+  <%= link_to l(:label_preview),
                      { :url => { :controller => 'messages', :action => 'preview', :board_id => @board },
                        :method => 'post',
                        :update => 'preview',
                        :with => "Form.serialize('message-form')",
                        :complete => "Element.scrollTo('preview')"
-                     }, :accesskey => accesskey(:preview) %>
+                     }, :remote => true, :accesskey => accesskey(:preview) %>
 <% end %>
 <div id="preview" class="wiki"></div>
 
diff --git a/app/views/messages/new.html.erb b/app/views/messages/new.html.erb
index f1dddb6..0de430c 100644
--- a/app/views/messages/new.html.erb
+++ b/app/views/messages/new.html.erb
@@ -3,13 +3,13 @@
 <%= form_for @message, :url => {:action => 'new'}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f} %>
   <%= submit_tag l(:button_create) %>
-  <%= link_to_remote l(:label_preview),
+  <%= link_to l(:label_preview),
                      { :url => { :controller => 'messages', :action => 'preview', :board_id => @board },
                        :method => 'post',
                        :update => 'preview',
                        :with => "Form.serialize('message-form')",
                        :complete => "Element.scrollTo('preview')"
-                     }, :accesskey => accesskey(:preview) %>
+                     }, :remote => true, :accesskey => accesskey(:preview) %>
 <% end %>
 
 <div id="preview" class="wiki"></div>
diff --git a/app/views/messages/show.html.erb b/app/views/messages/show.html.erb
index 1f1475b..132f000 100644
--- a/app/views/messages/show.html.erb
+++ b/app/views/messages/show.html.erb
@@ -3,7 +3,7 @@
 
 <div class="contextual">
     <%= watcher_link(@topic, User.current) %>
-    <%= link_to_remote_if_authorized(l(:button_quote), { :url => {:action => 'quote', :id => @topic} }, :class => 'icon icon-comment') unless @topic.locked? %>
+    <%= link_to_if_authorized(l(:button_quote), { :url => {:action => 'quote', :id => @topic} }, :remote => true, :class => 'icon icon-comment') unless @topic.locked? %>
     <%= link_to(l(:button_edit), {:action => 'edit', :id => @topic}, :class => 'icon icon-edit') if @message.editable_by?(User.current) %>
     <%= link_to(l(:button_delete), {:action => 'destroy', :id => @topic}, :method => :post, :confirm => l(:text_are_you_sure), :class => 'icon icon-del') if @message.destroyable_by?(User.current) %>
 </div>
@@ -24,7 +24,7 @@
 <% @replies.each do |message| %>
   <div class="message reply" id="<%= "message-#{message.id}" %>">
     <div class="contextual">
-      <%= link_to_remote_if_authorized(image_tag('comment.png'), { :url => {:action => 'quote', :id => message} }, :title => l(:button_quote)) unless @topic.locked? %>
+      <%= link_to_if_authorized(image_tag('comment.png'), { :url => {:action => 'quote', :id => message} }, :remote => true, :title => l(:button_quote)) unless @topic.locked? %>
       <%= link_to(image_tag('edit.png'), {:action => 'edit', :id => message}, :title => l(:button_edit)) if message.editable_by?(User.current) %>
       <%= link_to(image_tag('delete.png'), {:action => 'destroy', :id => message}, :method => :post, :confirm => l(:text_are_you_sure), :title => l(:button_delete)) if message.destroyable_by?(User.current) %>
     </div>
@@ -47,13 +47,13 @@
 <%= form_for @reply, :url => {:action => 'reply', :id => @topic}, :html => {:multipart => true, :id => 'message-form'} do |f| %>
   <%= render :partial => 'form', :locals => {:f => f, :replying => true} %>
   <%= submit_tag l(:button_submit) %>
-  <%= link_to_remote l(:label_preview),
+  <%= link_to l(:label_preview),
                      { :url => { :controller => 'messages', :action => 'preview', :board_id => @board },
                        :method => 'post',
                        :update => 'preview',
                        :with => "Form.serialize('message-form')",
                        :complete => "Element.scrollTo('preview')"
-                     }, :accesskey => accesskey(:preview) %>
+                     }, :remote => true, :accesskey => accesskey(:preview) %>
 <% end %>
 <div id="preview" class="wiki"></div>
 </div>
diff --git a/app/views/my/_block.erb b/app/views/my/_block.erb
index 121f7a4..f6312c1 100644
--- a/app/views/my/_block.erb
+++ b/app/views/my/_block.erb
@@ -1,10 +1,11 @@
 <div id="block_<%= block_name.dasherize %>" class="mypage-box">
 
     <div style="float:right;margin-right:16px;z-index:500;">
-    <%= link_to_remote "", {
+    <%= link_to "", {
         :url => { :action => "remove_block", :block => block_name },
         :complete => "removeBlock('block_#{block_name.dasherize}')" },
-        :class => "close-icon"
+        :class => "close-icon",
+        :remote => true
          %>
     </div>
 
diff --git a/app/views/my/page_layout.html.erb b/app/views/my/page_layout.html.erb
index 51bedca..e1f205a 100644
--- a/app/views/my/page_layout.html.erb
+++ b/app/views/my/page_layout.html.erb
@@ -38,13 +38,14 @@ function removeBlock(block) {
 <%= form_tag({:action => "add_block"}, :id => "block-form") do %>
 <%= label_tag('block-select', l(:label_my_page_block)) %>:
 <%= select_tag 'block', "<option></option>".html_safe + options_for_select(@block_options), :id => "block-select" %>
-<%= link_to_remote l(:button_add),
+<%= link_to l(:button_add),
            {:url => { :action => "add_block" },
             :with => "Form.serialize('block-form')",
             :update => "list-top",
             :position => :top,
             :complete => "afterAddBlock();"
-           }, :class => 'icon icon-add'
+           }, :class => 'icon icon-add',
+           :remote => true
              %>
 <% end %>
 <%= link_to l(:button_back), {:action => 'page'}, :class => 'icon icon-cancel' %>
diff --git a/app/views/news/edit.html.erb b/app/views/news/edit.html.erb
index 4f72d43..bb305ce 100644
--- a/app/views/news/edit.html.erb
+++ b/app/views/news/edit.html.erb
@@ -4,12 +4,12 @@
                                            :html => { :id => 'news-form', :method => :put } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
-<%= link_to_remote l(:label_preview),
+<%= link_to l(:label_preview),
                    { :url => preview_news_path(:project_id => @project),
                      :method => 'get',
                      :update => 'preview',
                      :with => "Form.serialize('news-form')"
-                   }, :accesskey => accesskey(:preview) %>
+                   }, :remote => true, :accesskey => accesskey(:preview) %>
 <% end %>
 <div id="preview" class="wiki"></div>
 
diff --git a/app/views/news/index.html.erb b/app/views/news/index.html.erb
index 6885689..a63bd32 100644
--- a/app/views/news/index.html.erb
+++ b/app/views/news/index.html.erb
@@ -11,12 +11,12 @@
                                            :html => { :id => 'news-form' } do |f| %>
 <%= render :partial => 'news/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
-<%= link_to_remote l(:label_preview),
+<%= link_to l(:label_preview),
                    { :url => preview_news_path(:project_id => @project),
                      :method => 'get',
                      :update => 'preview',
                      :with => "Form.serialize('news-form')"
-                   }, :accesskey => accesskey(:preview) %> |
+                   }, :remote => true, :accesskey => accesskey(:preview) %> |
 <%= link_to l(:button_cancel), "#", :onclick => 'Element.hide("add-news")' %>
 <% end if @project %>
 <div id="preview" class="wiki"></div>
diff --git a/app/views/news/new.html.erb b/app/views/news/new.html.erb
index 54c0596..516f34a 100644
--- a/app/views/news/new.html.erb
+++ b/app/views/news/new.html.erb
@@ -4,11 +4,11 @@
                                            :html => { :id => 'news-form' } do |f| %>
 <%= render :partial => 'news/form', :locals => { :f => f } %>
 <%= submit_tag l(:button_create) %>
-<%= link_to_remote l(:label_preview),
+<%= link_to l(:label_preview),
                    { :url => preview_news_path(:project_id => @project),
                      :method => 'get',
                      :update => 'preview',
                      :with => "Form.serialize('news-form')"
-                   }, :accesskey => accesskey(:preview) %>
+                   }, :remote => true, :accesskey => accesskey(:preview) %>
 <% end %>
 <div id="preview" class="wiki"></div>
diff --git a/app/views/news/show.html.erb b/app/views/news/show.html.erb
index b2d8700..ebf93ef 100644
--- a/app/views/news/show.html.erb
+++ b/app/views/news/show.html.erb
@@ -20,12 +20,12 @@
                                            :html => { :id => 'news-form', :method => :put } do |f| %>
 <%= render :partial => 'form', :locals => { :f => f } %>
 <%= submit_tag l(:button_save) %>
-<%= link_to_remote l(:label_preview),
+<%= link_to l(:label_preview),
                    { :url => preview_news_path(:project_id => @project),
                      :method => 'get',
                      :update => 'preview',
                      :with => "Form.serialize('news-form')"
-                   }, :accesskey => accesskey(:preview) %> |
+                   }, :remote => true, :accesskey => accesskey(:preview) %> |
 <%= link_to l(:button_cancel), "#", :onclick => 'Element.hide("edit-news"); return false;' %>
 <% end %>
 <div id="preview" class="wiki"></div>
diff --git a/app/views/projects/settings/_members.html.erb b/app/views/projects/settings/_members.html.erb
index 7d945ac..45964f8 100644
--- a/app/views/projects/settings/_members.html.erb
+++ b/app/views/projects/settings/_members.html.erb
@@ -34,10 +34,11 @@
   </td>
   <td class="buttons">
       <%= link_to_function l(:button_edit), "$('member-#{member.id}-roles').hide(); $('member-#{member.id}-roles-form').show(); return false;", :class => 'icon icon-edit' %>
-      <%= link_to_remote(l(:button_delete), { :url => {:controller => 'members', :action => 'destroy', :id => member},
+      <%= link_to(l(:button_delete), { :url => {:controller => 'members', :action => 'destroy', :id => member},
                                               :method => :post,
                                               :confirm => (!User.current.admin? && member.include?(User.current) ? l(:text_own_membership_delete_confirmation) : nil)
-                                            }, :title => l(:button_delete),
+                                            }, :remote => true,
+                                               :title => l(:button_delete),
                                                :class => 'icon icon-del') if member.deletable? %>
   </td>
   <%= call_hook(:view_projects_settings_members_table_row, { :project => @project, :member => member}) %>
diff --git a/app/views/users/_memberships.erb b/app/views/users/_memberships.erb
index a06fae0..ba3fff7 100644
--- a/app/views/users/_memberships.erb
+++ b/app/views/users/_memberships.erb
@@ -32,8 +32,9 @@
   </td>
   <td class="buttons">
       <%= link_to_function l(:button_edit), "$('member-#{membership.id}-roles').hide(); $('member-#{membership.id}-roles-form').show(); return false;", :class => 'icon icon-edit' %>
-      <%= link_to_remote(l(:button_delete), { :url => { :controller => 'users', :action => 'destroy_membership', :id => @user, :membership_id => membership },
+      <%= link_to(l(:button_delete), { :url => { :controller => 'users', :action => 'destroy_membership', :id => @user, :membership_id => membership },
       																				:method => :post },
+                                              :remote => true,
       																		    :class => 'icon icon-del') if membership.deletable? %>
   </td>
       <%= call_hook(:view_users_memberships_table_row, :user => @user, :membership => membership, :roles => roles, :projects => projects )%>
diff --git a/app/views/wiki/edit.html.erb b/app/views/wiki/edit.html.erb
index 1d13046..ead4f6f 100644
--- a/app/views/wiki/edit.html.erb
+++ b/app/views/wiki/edit.html.erb
@@ -9,13 +9,13 @@
 <p><label><%=l(:label_attachment_plural)%></label><br /><%= render :partial => 'attachments/form' %></p>
 
 <p><%= submit_tag l(:button_save) %>
-   <%= link_to_remote l(:label_preview),
+   <%= link_to l(:label_preview),
                        { :url => { :controller => 'wiki', :action => 'preview', :project_id => @project, :id => @page.title },
                          :method => :post,
                          :update => 'preview',
                          :with => "Form.serialize('wiki_form')",
                          :complete => "Element.scrollTo('preview')"
-                       }, :accesskey => accesskey(:preview) %></p>
+                       }, :remote => true, :accesskey => accesskey(:preview) %></p>
 <%= wikitoolbar_for 'content_text' %>
 <% end %>
 
-- 
1.7.1

